Bug 52330 - Installer Only Allows 8 Character Password when adding normal users
Installer Only Allows 8 Character Password when adding normal users
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-22 16:56 EDT by Daniel Powell
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-23 14:45:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Powell 2001-08-22 16:56:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
When choosing the root password for your system during installation the 
installer allows greater than 8 chars. But when you add a user, the 
interface stops accepting characters at 8.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start the install of Roswell2
2. Enter a root password
3. Add a user and Password
4. password stops at 8 characters

Actual Results:  I typed in a 9 character password but the installer only 
accepted 8
When the install process was done, and It booted to X, I tried to login 
and got a failure. dropped the last character from the password and login 
succeeded.

Expected Results:  Installer should accept MD5 passwords for users and 
root.
there should be no limit unless md5 passwords are turned off, even then 
without md5 passwords everything above 8 is truncated so it doesnt really 
matter.

Additional info:

People used to typing long cryptic passwords will be miffed at having to 
change their password later after the installer is done. My normal testing 
password has 9 chars, letters and numbers. I can't believe it took me 2 
beta cycles or so to realize what was happening with the logons. DOH!
Comment 1 Glen Foster 2001-08-22 18:10:01 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 2 Matt Wilson 2001-08-23 12:03:11 EDT
text mode or gui mode installer?
Comment 3 Matt Wilson 2001-08-23 12:04:12 EDT
(I'm guessing text)
Comment 4 Matt Wilson 2001-08-23 12:08:45 EDT
er, gui.
Comment 5 Daniel Powell 2001-08-23 13:21:53 EDT
GUI mode, dunno about text...
Comment 6 Jeremy Katz 2001-08-24 14:55:22 EDT
Fixed in CVS (happened in GUI only)

Note You need to log in before you can comment on or make changes to this bug.